import type Step from '../pages/steps/Step';
export default class StepManager {
    static STEP_BASE: string;
    static currentSteps: {
        [x: number]: Step;
    };
    static getStepFromName(name: string): Step | null;
    static getStepIndex(name: string): number;
    static getFirstStep(): Step;
    static getNextStepUrl(step: Step): string;
    static getPreviousStepUrl(step: Step): string;
    static hasStep(step: Step): boolean;
    static addStep(priority: number, step: Step): void;
    static getSteps(): Step[];
    /**
     * Returns a zero indexed array of Steps, imagine Object.values();
     */
    private static getStepsAsArray;
}
